<recipes>
    <recipe>
        <name id="SpaghettiBolognese" />
        <foods>
            <food id="oil" />
            <food id="onions" />
            <food id="garlic" />
            <food id="groundbeef" />
            <food id="tomatoes" />
            <food id="beefstock" />
            <food id="tomatopaste" />
            <food id="spaghetti" />
        </foods>
    </recipe>
    <recipe>
        <name id="PepperoniandCheesePizza" />
        <foods>
            <food id="pepperoni" />
            <food id="mozzarellacheese" />
            <food id="tomatopaste" />
            <food id="flour" />
            <food id="sugar" />
            <food id="yeast" />
        </foods>
    </recipe>
    <recipe>
        <name id="MacaroniandCheese" />
        <foods>
            <food id="macaroni" />
            <food id="butter" />
            <food id="Flour" />
            <food id="Milk" />
            <food id="Cheese" />
        </foods>
    </recipe>
    <recipe>
        <name id="HamandPineapplePizza" />
        <foods>
            <food id="tomatopaste" />
            <food id="mozzarellacheese" />
            <food id="Ham" />
            <food id="Pineapple" />
            <food id="flour" />
            <food id="sugar" />
            <food id="yeast" />
        </foods>
    </recipe>
    <recipe>
        <name id="Meatloaf" />
        <foods>
            <food id="groundbeef" />
            <food id="Eggs" />
            <food id="Milk" />
            <food id="Ham" />
            <food id="Cheese" />
            <food id="Onion" />
            <food id="Carrot" />
            <food id="Salt" />
            <food id="Pepper" />
            <food id="Sugar" />
            <food id="Ketchup" />
            <food id="Mustard" />
        </foods>
    </recipe>
    <recipe>
        <name id="QuicheLorraine" />
        <foods>
            <food id="Flour" />
            <food id="Butter" />
            <food id="Eggs" />
            <food id="Bacon" />
            <food id="Eggs" />
            <food id="Cheese" />
            <food id="Cream" />
        </foods>    
    </recipe>
    <recipe>
        <name id="ChickenStirFry" />
        <foods>
            <food id="Chicken" />
            <food id="Rice" />
            <food id="Eggs" />
            <food id="Onion" />
            <food id="redpepper" />
            <food id="Ginger" />
            <food id="Garlic" />
            <food id="Fishsauce" />
            <food id="Lime" />
            <food id="RedChilli" />
        </foods>  
    </recipe>
    <recipe>
        <name id="PorkRibs" />
        <foods>
            <food id="Spareribs" />
            <food id="Sugar" />
            <food id="Salt" />
            <food id="Pepper" />
            <food id="Onion" />
            <food id="Ketchup" />
        </foods>
    </recipe>
    <recipe>
        <name id="Hamburgers" />
        <foods>
            <food id="groundbeef" />
            <food id="Tomatoes" />
            <food id="Lettuce" />
            <food id="Onion" />
            <food id="Cheese" />
            <food id="Ketchup" />
            <food id="Oil" />
        </foods>
    </recipe>
    <recipe>
        <name id="FriedChicken" />
        <foods>
            <food id="Chicken" />
            <food id="Milk" />
            <food id="Flour" />
            <food id="Eggs" />
            <food id="Salt" />
            <food id="Pepper" />
            <food id="Oil" />
        </foods>
    </recipe>
    <recipe>
        <name id="BaconandCheeseOmelette" />
        <foods>
            <food id="Eggs" />
            <food id="Butter" />
            <food id="Bacon" />
            <food id="Cheese" />
        </foods>
    </recipe>
    <recipe>
        <name id="Pancakes" />
        <foods>
            <food id="Flour" />
            <food id="Sugar" />
            <food id="Bakingpowder" />
            <food id="Salt" />
            <food id="Eggs" />
            <food id="Milk" />
            <food id="Maplesyrup" />
        </foods>
    </recipe>   
    <recipe>
        <name id="FrenchToast" />
        <foods>
            <food id="Bread" />
            <food id="Eggs" />
            <food id="Sugar" />
            <food id="Milk" />
            <food id="Cinnamon" />
            <food id="Butter" />
            <food id="Salt" />
        </foods>
    </recipe>  
    <recipe>
        <name id="BaconandEggs" />
        <foods>
            <food id="Bacon" />
            <food id="Eggs" />
            <food id="Oil" />
        </foods>
    </recipe>  
    <recipe>
        <name id="HashBrownsandSausages" />
        <foods>
            <food id="Potatoes" />
            <food id="Onions" />
            <food id="Oil" />
            <food id="Salt" />
            <food id="Pepper" />
            <food id="Sausages" />
        </foods>
    </recipe>  
    <recipe>
        <name id="ApplePie" />
        <foods>
            <food id="Butter" />
            <food id="Flour" />
            <food id="Sugar" />
            <food id="Apples" />
            <food id="Eggs" />
            <food id="Milk" />
            <food id="Lemon" />
            <food id="Cinnamon" />
        </foods>
    </recipe> 
    <recipe>
        <name id="BananaBread" />
        <foods>
            <food id="Flour" />
            <food id="Sugar" />
            <food id="Salt" />
            <food id="Cinnamon" />
            <food id="Vanilla" />
            <food id="Eggs" />
            <food id="Bananas" />
            <food id="oil" />
        </foods>
    </recipe>
    <recipe>
        <name id="PumpkinPie" />
        <foods>
            <food id="Flour" />
            <food id="Butter" />
            <food id="Sugar" />
            <food id="Eggs" />
            <food id="Pumpkin" />
            <food id="Cream" />
        </foods>
    </recipe>
    <recipe>
        <name id="BakedCheesecake" />
        <foods>
            <food id="biscuits" />
            <food id="Butter" />
            <food id="cheese" />
            <food id="Sugar" />
            <food id="Cream" />
            <food id="Lemon" />
            <food id="Eggs" />
        </foods>
    </recipe>
    <recipe>
        <name id="Brownies" />
        <foods>
            <food id="Butter" />
            <food id="Chocolate" />
            <food id="Sugar" />
            <food id="Eggs" />
            <food id="Flour" />
            <food id="Cocoapowder" />
        </foods>
    </recipe>
</recipes>